INTERFACE
SUBROUTINE m7_wetdep&
 & ( KIDIA , KFDIA , KLON , KLEV, KTOP,&
 & pxtp10, pxtp1c,&
 & pmfu , pmfuxt, prhou,&
 & pxtm1 ,&
 & pmlwc , pmiwc , pmratepr, pmrateps,&
 & pfrain, pfsnow, pfevapr, pfsubls,&
 & paclc , pmsnowacl, LDSTRAT,&
 & ptm1 , pdpg , plfrac,&
 & pxtte ,&
 & PTSPHY&
 & ) 
USE PARKIND1 ,ONLY : JPIM , JPRB
USE YO_AERO_M7,ONLY : nmod, nmode, ntrac, cphas, ctrac,&
 & lwetd ,&
 & csr_strat_wat, csr_strat_mix, csr_strat_ice,&
 & csr_conv, rbcr, rbcs, rwu 
LOGICAL,INTENT(IN) :: LDSTRAT
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV, KTOP
REAL(KIND=JPRB),INTENT(IN) :: pmlwc(klon ,klev), pmiwc(klon ,klev),&
 & pmratepr(klon ,klev), pmrateps(klon ,klev),&
 & pfrain(klon ,klev), pfsnow(klon ,klev),&
 & pfevapr(klon ,klev), pfsubls(klon ,klev),&
 & paclc(klon ,klev), pmsnowacl(klon ,klev),&
 & ptm1(klon ,klev), pdpg(klon ,klev),&
 & pmfu(klon ,klev), prhou(klon ,klev),&
 & plfrac(klon ,klev), pxtm1(klon ,klev,ntrac) 
REAL(KIND=JPRB),INTENT(IN) :: PTSPHY
REAL(KIND=JPRB),INTENT(INOUT) :: pxtp1c(klon ,klev,ntrac), pxtp10(klon ,klev,ntrac),&
 & pmfuxt(klon ,klev,ntrac), pxtte(klon ,klev,ntrac) 
END SUBROUTINE m7_wetdep
END INTERFACE
